# $Revision: 1.18 $, $Date: 2002/09/27 16:12:15 $
Summary:	ACPI Event Daemon
Summary(pl):	Demon zdarze ACPI
Name:		acpid
Version:	1.0.1
Release:	3
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/acpid/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
URL:		http://acpid.sourceforge.net/
Requires(post,preun):	/sbin/chkconfig
Obsoletes:	apmd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%description -l pl
acpid to demon przekazujcy zdarzenia ACPI do programw w user-space.

%prep
%setup -q

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{logrotate.d,rc.d/init.d,sysconfig},/var/log} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/acpi/{events,actions},%{_sbindir},%{_mandir}/man8}

install acpid $RPM_BUILD_ROOT/%{_sbindir}
install acpid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install samples/sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/acpid
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/acpid
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/acpid
install samples/acpi_handler.sh $RPM_BUILD_ROOT%{_sbindir}/power.sh

> $RPM_BUILD_ROOT/var/log/acpid

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add acpid
if [ -f /var/lock/subsys/acpid ]; then
	/etc/rc.d/init.d/acpid restart >&2
else
	echo "Run \"/etc/rc.d/init.d/acpid start\" to start ACPI daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/acpid ]; then
		/etc/rc.d/init.d/acpid stop>&2
	fi
	/sbin/chkconfig --del acpid
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%attr(640,root,root) %{_sysconfdir}/logrotate.d/acpid
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/acpid
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysconfig/acpid
%config(noreplace,missingok) %verify(not size mtime md5) %{_sysconfdir}/acpi/events/sample.conf
%attr(755,root,root) %{_sbindir}/acpid
%attr(755,root,root) %{_sbindir}/power.sh
%attr(640,root,root) %ghost /var/log/acpid
%{_mandir}/man8/acpid.8.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: acpid.spec,v $
Revision 1.18  2002/09/27 16:12:15  gotar
- Requires(post,preun): /sbin/chkconfig,
- consider moving back power.sh to doc - it's only skeleton,
- release 3.

Revision 1.17  2002/09/15 19:43:12  blues
- fixed install, more macros

Revision 1.16  2002/09/15 16:16:13  blues
- removed from doc what is in sbin (I've started too fast using it :))

Revision 1.15  2002/09/15 15:57:10  blues
- release 2 - move script from samples to sbin - usefull in making own ACPI
  rules for buttons. STBR

Revision 1.14  2002/09/14 23:03:08  blues
- one more doc

Revision 1.13  2002/09/14 22:55:28  blues
- 1.0.1 - STBR

Revision 1.12  2002/04/25 15:41:33  arturs
fixed a small typo

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/11 06:03:40  kloczek
- adapterized.

Revision 1.9  2002/02/10 21:44:23  gotar
- added logrotate rule,
- %config(missingok) flag for %{_sysconfdir}/acpi/events/sample.conf.

Revision 1.8  2002/01/24 05:29:20  kloczek
- simplifications in %install.

Revision 1.7  2002/01/23 06:02:01  blues
- added obsoletes apmd

Revision 1.6  2002/01/23 05:45:14  blues
- cosmetics

Revision 1.5  2002/01/23 05:42:27  blues
- release 3
- use own init script insted RH's
- add sysconfig file
- modified post

Revision 1.4  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/23 20:34:28  filon
- install file by hand, make instal tries to chnge permissions
- relase 2

Revision 1.2  2001/12/11 10:43:49  qboosh
- some cleanup, added Source URL

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1
